# $Revision: 1.34 $, $Date: 2011/09/26 15:06:19 $
Summary:	Extensible Binary Meta Language access library
Summary(pl.UTF-8):	Biblioteka dostępu rozszerzalnego metajęzyka binarnego
Name:		libebml
Version:	1.2.2
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://dl.matroska.org/downloads/libebml/%{name}-%{version}.tar.bz2
# Source0-md5:	726cc2bd1a525929ff35ff9854c0ebab
Patch0:		%{name}-makefile.patch
URL:		http://www.matroska.org/
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.553
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Extensible Binary Meta Language access library is a library for
reading and writing files with the Extensible Binary Meta Language, a
binary pendant to XML.

%description -l pl.UTF-8
Biblioteka rozszerzalnego metajęzyka binarnego (Extensible Binary Meta
Language, w skrócie EBML) umożliwia czytanie i zapisywanie plików w
tym metajęzyku, będącym binarnym uzupełnieniem XML-a.

%package devel
Summary:	Header files for Extensible Binary Meta Language library
Summary(pl.UTF-8):	Nagłówki biblioteki rozszerzalnego metajęzyka binarnego
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for Extensible Binary Meta Language library.

%description devel -l pl.UTF-8
Nagłówki biblioteki rozszerzalnego metajęzyka binarnego.

%package static
Summary:	Static version of Extensible Binary Meta Language library
Summary(pl.UTF-8):	Statyczna wersja biblioteki rozszerzalnego metajęzyka binarnego
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of Extensible Binary Meta Language library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki rozszerzalnego metajęzyka binarnego.

%prep
%setup -q
%undos make/linux/Makefile
%patch0 -p1

%build
%{__make} -C make/linux \
	prefix=%{_prefix} \
	libdir=%{_libdir} \
	CXX="%{__cxx}" \
	CXXFLAGS="%{rpmcxxflags}" \
	LD="%{__cxx}" \
	LDFLAGS="%{rpmldflags}"\
	DEBUGFLAGS="%{rpmcflags} %{?debug:-DDEBUG}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C make/linux install \
	DESTDIR=$RPM_BUILD_ROOT \
	prefix=%{_prefix} \
	libdir=%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_libdir}/libebml.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libebml.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libebml.so
%{_libdir}/libebml.la
%{_includedir}/ebml

%files static
%defattr(644,root,root,755)
%{_libdir}/libebml.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libebml.spec,v $
Revision 1.34  2011/09/26 15:06:19  qboosh
- updated to 1.2.2

Revision 1.33  2011/06/30 17:41:58  qboosh
- updated to 1.2.1

Revision 1.32  2011/02/26 06:44:02  arekm
- rel 2; build/link using cxx

Revision 1.31  2011/01/31 20:22:50  qboosh
- updated to 1.2.0 (new soname)
- updated makefile patch

Revision 1.30  2010/08/05 20:22:06  glen
- up to 1.0.0, new soname

Revision 1.29  2010/08/05 20:00:18  glen
- merge to main make patch

Revision 1.28  2010/08/05 19:56:20  glen
- fix build with cc with spaces

Revision 1.27  2008/07/13 20:00:32  qboosh
- updated to 0.7.8
- updated makefile patch

Revision 1.26  2007/04/21 22:07:49  pluto
- release 3 for rebuild with new libstdc++.

Revision 1.25  2007/02/22 12:19:12  arekm
- rel 2

Revision 1.24  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.22  2006/04/23 16:46:32  qboosh
- updated to 0.7.7, updated makefile patch

Revision 1.21  2005/10/21 21:12:16  qboosh
- updated to 0.7.6

Revision 1.20  2005/06/12 19:16:18  qboosh
- updated to 0.7.5, updated makefile patch

Revision 1.19  2005/04/23 23:01:01  qboosh
- updated to 0.7.4, updated makefile patch, removed obsolete gcc4 patch

Revision 1.18  2005/02/27 20:44:26  pluto
- gcc4 fix.

Revision 1.17  2005/02/27 20:28:58  pluto
- cxxflags.

Revision 1.16  2005/02/27 19:05:57  qboosh
- updated to 0.7.3

Revision 1.15  2004/11/07 18:25:19  qboosh
- License is LGPL now

Revision 1.14  2004/11/07 14:53:38  troll
- updated to 0.7.2 (by Karol Krenski <charles(at)os.pl>)

Revision 1.13  2004/04/07 09:03:29  blues
- release 3

Revision 1.12  2004/03/10 21:56:03  qboosh
- updated to 0.6.5, strict internal deps

Revision 1.11  2004/02/23 22:09:00  ankry
- pl fixes, cosmetics

Revision 1.10  2004/01/20 20:31:03  undefine
- use libdir to allow build on amd64

Revision 1.9  2004/01/20 17:34:21  grzegol
- updated to 0.6.4

Revision 1.8  2004/01/02 22:41:08  grzegol
- updated to 0.6.3

Revision 1.7  2003/11/04 21:07:51  qboosh
- updated to 0.6.2

Revision 1.6  2003/09/30 18:03:06  grzegol
- updated to 0.6.0

Revision 1.5  2003/09/02 14:31:18  qboosh
- 0.5.1

Revision 1.4  2003/09/02 13:34:29  djurban
- 0.5.0

Revision 1.3  2003/08/18 08:08:17  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.2  2003/07/08 20:43:15  qboosh
- better makefile patch (use libtool, it takes care of using fPIC etc.)
- simplified build

Revision 1.1  2003/07/04 10:18:49  qboosh
- mv libembl.spec libebml.spec (typo in filename)

Revision 1.5  2003/07/04 10:15:42  qboosh
- some cleanups

Revision 1.4  2003/06/29 17:20:49  djurban
- fixed desc

Revision 1.3  2003/06/29 16:59:59  djurban
- missing parenthesis

Revision 1.2  2003/06/29 16:54:46  djurban
- use rpmcflags

Revision 1.1  2003/06/29 16:37:20  djurban
- begin mplayer revolution
- qboosh: if you happen to find a translation for
  "pendant" please update the main descrition
